#! /bin/sh

name=`readlink -fn $0`
BD=`dirname $name`
if [ x$1 != x ]; then
    DST=$1
    mkdir -p $DST
    ZIP=`ls $BD/../../org-lsst-ccs-drivers-keithley-*-dist.zip`
    REL=`basename $ZIP -dist.zip`
    rm -r $DST/$REL
    unzip -d $DST $ZIP
else
    DST=$BD/../..
    REL=`basename \`dirname $BD\``
fi

mkdir -p $DST/etc
mkdir -p $DST/bin
BS=../$REL/bin/CCSbootstrap.sh
APP=$DST/bin/TestN6487; rm -f $APP; ln -sf $BS $APP
APP=$DST/bin/TestN6517; rm -f $APP; ln -sf $BS $APP
APP=$DST/bin/N6487Gui; rm -f $APP; ln -sf $BS $APP
$DST/$REL/bin/scpiDeploy.sh
